
#include "gec.h"
//======================================================================
//函数名称：Int_Handler_init
//函数返回：无
//参数说明：无
//功能概要：用户中断处理程序名初始化，对应的中断处理程序编程处在isr.c文件中
//======================================================================
void Int_Handler_init()    //用户中断处理程序名初始化
{
	setVector(PORTA_IRQn,(uint_32)&GPIO0_Handler);
	setVector(PORTC_PORTD_IRQn,(uint_32)&GPIO1_Handler);
	setVector(UART0_IRQn,(uint_32)&UARTA_Handler);
	setVector(UART2_IRQn,(uint_32)&UARTC_Handler);
	setVector(SPI0_IRQn,(uint_32)&SPI0_Handler);
	setVector(SPI1_IRQn,(uint_32)&SPI1_Handler);
	setVector(I2C0_IRQn,(uint_32)&I2C0_Handler);
	setVector(I2C1_IRQn,(uint_32)&I2C1_Handler);
	setVector(LPTMR0_IRQn,(uint_32)&TIMER0_Handler);
	setVector(TPM0_IRQn,(uint_32)&TPM0_Handler);
	setVector(TPM1_IRQn,(uint_32)&TPM1_Handler);
	setVector(TPM2_IRQn,(uint_32)&TPM2_Handler);
}
